%define name python-card
%define version 0.8.1
%define release %mkrel 1

Name: %{name}
Summary: PythonCard GUI construction toolkit
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/pythoncard/PythonCard-%{version}.tar.bz2
Patch1: PythonCardSamples.patch.bz2
Patch2: PythonCardConfig.patch.bz2
URL: http://pythoncard.sourceforge.net/
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
License: Python license
Requires: python-base >= %{pyver}, wxPython >= 2.5.2
BuildArch: noarch

%description
PythonCard is a GUI construction kit for building cross-platform desktop
applications on Windows, Mac OS X, and Linux, using the Python language.

%prep
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%setup -n PythonCard-%{version} -q
%patch1 -p1
%patch2 -p1

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT
install -m 0755 -d %{buildroot}%{_datadir}/PythonCard/samples
install -m 0755 -d %{buildroot}%{_datadir}/PythonCard/tools
cp -pr %{buildroot}%{_libdir}/python%{pyver}/site-packages/PythonCard/samples %{buildroot}%{_datadir}/PythonCard
chmod 0755 %{buildroot}%{_datadir}/PythonCard/samples/samples.py
cp -pr %{buildroot}%{_libdir}/python%{pyver}/site-packages/PythonCard/tools %{buildroot}%{_datadir}/PythonCard
chmod 0755 %{buildroot}%{_datadir}/PythonCard/tools/codeEditor/*.py
chmod 0755 %{buildroot}%{_datadir}/PythonCard/tools/findfiles/*.py
chmod 0755 %{buildroot}%{_datadir}/PythonCard/tools/resourceEditor/*.py
rm -rf %{buildroot}%{_libdir}/python%{pyver}/site-packages/PythonCard/samples
rm -rf %{buildroot}%{_libdir}/python%{pyver}/site-packages/PythonCard/tools
rm -rf %{buildroot}%{_libdir}/python%{pyver}/site-packages/PythonCard/docs
rm -f %{buildroot}/usr/bin/install-pythoncard.py

# menu support
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): needs="X11" section="Applications/Development/Development Environments" title="PythonCard Resource Editor" command="/usr/share/PythonCard/tools/resourceEditor/resourceEditor.py" icon="development_environment_section.png"
?package(%{name}): needs="X11" section="Applications/Development/Tools" title="PythonCard Code Editor" command="/usr/share/PythonCard/tools/codeEditor/codeEditor.py" icon="editors_section.png"
?package(%{name}): needs="X11" section="Applications/Development/Tools" title="PythonCard Samples" command="/usr/share/PythonCard/samples/samples.py" icon="toys_section.png"
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc docs/* README.txt README_StyleEditor.txt PKG-INFO
%_libdir/python%{pyver}/site-packages/PythonCard/*
%{_datadir}/PythonCard/samples/*
%{_datadir}/PythonCard/tools/*
%{_menudir}/*

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Tue Jun  7 2005 Frederic Lepied <flepied@mandriva.com> 0.8.1-1mdk
- initial build (based on Phil Edwards' work)

